> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pricing History

> Returns pricing change history for a merchant over a configurable lookback period.



## OpenAPI

````yaml GET /api/partner/merchants/{merchant_id}/pricing/tsys/history
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/merchants/{merchant_id}/pricing/tsys/history:
    get:
      tags:
        - Pricing
        - Pricing
      summary: Get TSYS pricing history
      description: >-
        Returns pricing change history for a merchant over a configurable
        lookback period.
      operationId: >-
        get_pricing_history_api_partner_merchants__merchant_id__pricing_tsys_history_get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 50
            description: Merchant ID
            title: Merchant Id
          description: Merchant ID
          example: '1234567890'
        - name: months
          in: query
          required: false
          schema:
            type: integer
            maximum: 36
            minimum: 1
            description: Lookback period in months
            default: 12
            title: Months
          description: Lookback period in months
          example: 12
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '403':
          description: Merchant not in portfolio or insufficient scope
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Pricing data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````